1
Vote

NuGet package?

description

Since all the other Lucene.Net libs have NuGet packages, I was hoping this one did too. It doesn't seem so. Am I missing something?

comments

Shcherbachev wrote Dec 15, 2012 at 12:43 PM

You are right. We do need a NuGet package for Bobo.

NightOwl888 wrote Mar 26, 2014 at 10:30 PM

In case anyone is interested, I have created a MyGet feed with the latest alpha release of BoboBrowse.Net that is based off of Lucene.Net 3.0.3. The feed is at https://www.myget.org/F/bobobrowse_net/. Just add this URL as a package source to your NuGet Package Manager. Note that you need to include prereleases in order to view or install this package from the feed.

I am holding off putting this up on NuGet gallery because the gallery feed should have the same owner as this repository (that's you Alexey) so it can all be managed together. Of course, if you are no longer interested in maintaining this project perhaps another arrangement can be made.

I noticed there is a difference in behavior in this port, that I believe is a bug. I would appreciate if someone would take a look and try to fix the issue so we can get this port into a more stable state.

NightOwl888 wrote Jan 2, 2015 at 8:31 PM

I have created a port of BoboBrowse.Net 3.1.0 which is compatible with the latest version of Lucne.Net (3.0.3). The package is now available on NuGet here. All tests are passing, the API is now stable, but I could use some assistance with testing to get it out of beta.